OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKXmlL
XmlObjMgt

# XmlObjMgt_GP Class Reference

Translation of gp (simple geometry) objects
.

`#include <XmlObjMgt_GP.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
## Static Public Member Functions
static Standard_EXPORT XmlObjMgt_DOMString | Translate (const gp_Trsf &aTrsf)
static Standard_EXPORT XmlObjMgt_DOMString | Translate (const gp_Mat &aMat)
static Standard_EXPORT XmlObjMgt_DOMString | Translate (const gp_XYZ &anXYZ)
static Standard_EXPORT Standard_Boolean | Translate (const XmlObjMgt_DOMString &aStr, gp_Trsf &T)
static Standard_EXPORT Standard_Boolean | Translate (const XmlObjMgt_DOMString &aStr, gp_Mat &T)
static Standard_EXPORT Standard_Boolean | Translate (const XmlObjMgt_DOMString &aStr, gp_XYZ &T)

## Member Function Documentation

void XmlObjMgt_GP::operator delete | ( | void * | anAddress | ) | `[inline]`

void* XmlObjMgt_GP::operator new | ( | size_t | size | ) | `[inline]`

void* XmlObjMgt_GP::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT Standard_Boolean XmlObjMgt_GP::Translate | ( | const XmlObjMgt_DOMString & | aStr,
|  | gp_XYZ & | T
| ) | `[static]`

static Standard_EXPORT Standard_Boolean XmlObjMgt_GP::Translate | ( | const XmlObjMgt_DOMString & | aStr,
|  | gp_Mat & | T
| ) | `[static]`

static Standard_EXPORT Standard_Boolean XmlObjMgt_GP::Translate | ( | const XmlObjMgt_DOMString & | aStr,
|  | gp_Trsf & | T
| ) | `[static]`

static Standard_EXPORT XmlObjMgt_DOMString XmlObjMgt_GP::Translate | ( | const gp_XYZ & | anXYZ | ) | `[static]`

static Standard_EXPORT XmlObjMgt_DOMString XmlObjMgt_GP::Translate | ( | const gp_Mat & | aMat | ) | `[static]`

static Standard_EXPORT XmlObjMgt_DOMString XmlObjMgt_GP::Translate | ( | const gp_Trsf & | aTrsf | ) | `[static]`

The documentation for this class was generated from the following file:

- XmlObjMgt_GP.hxx